{% extends "layouts/default.njk" %}

{% block content %}

<button type="button" data-js="modal" style="width:200px;height;50px;line-height:50px;padding:0;">회원가입 모달</button>

{% endblock %}

{% block modal %}

<!-- modal cotnent -->
<!--
<script>
  const testId = document.querySelector('[data-js="modal"]');
  window.onload = () => {
    testId.click();
  }
</script>
-->
<div class="modal__container modal--users">
  <div class="modal__content">
    <h2 class="modal__title">회원가입</h2>
    <div class="modal__body">
      <ul class="sns-list">
        <li class="sns-list__item sns-list--kakao">
          <a href="#"><span><i class="ico ico--kakao"></i> 카카오톡으로 가입</span></a>
        </li>
        <li class="sns-list__item sns-list--naver">
          <a href="#"><span><i class="ico ico--naver"></i> 네이버로 가입</span></a>
        </li>
        <li class="sns-list__item sns-list--facebook">
          <a href="#"><span><i class="ico ico--facebook"></i> 페이스북으로 가입</span></a>
        </li>
        <li class="sns-list__item sns-list--goggle">
          <a href="#"><span><i class="ico ico--goggle"></i> 구글아이디로 가입</span></a>
        </li>
      </ul>
      <form class="mui-form join-form">
        <div class="mui-textfield">
          <!-- 에러인 경우 input에 mui--is-not-empty mui--is-untouched mui--is-pristine 클래스 추가
          <input type="text" class="mui--is-not-empty mui--is-untouched mui--is-pristine" required>
          -->
          <input type="text" required>
          <label>아이디 (필수입력)</label>
          <!-- 에러인 경우 vaildate--error 클래스 추가-->
          <strong class="vaildate">중복된 아이디 입니다</strong>
        </div>
        <div class="mui-textfield">
          <input type="password" required>
          <label>패스워드 (필수입력)</label>
          <span class="vaildate vaildate--text">8자 이상의 숫자/대,소문자/특수문자 포함</span>
        </div>
        <div class="mui-textfield">
          <input type="password" required> 
          <label>패스워드 확인 (필수입력)</label>
          <!-- 에러인 경우 vaildate--error 클래스 추가-->
          <strong class="vaildate">패스워드가 틀립니다.</strong>
        </div>
        <div class="mui-textfield mui-textfield--float-label">
          <input type="email">
          <label>이메일</label>
          <!-- 에러인 경우 vaildate--error 클래스 추가-->
          <strong class="vaildate">이메일 형식이 올바르지 않습니다.</strong>
        </div>
        <button type="button" class="btn btn__outline--primary is-large">본인 인증하기</button>
        <div class="mui-checkbox">
          <label>
            <input type="checkbox" name="joinAgree02">
            <a href="#">서비스 이용 약관</a>에 동의합니다 (필수)
          </label>
        </div>
        <div class="mui-checkbox">
          <label>
            <input type="checkbox" name="joinAgree02">
            <a href="#">개인정보 처리방침</a>에 동의합니다 (필수)
          </label>
        </div>
        <button type="button" class="btn btn__primary is-large" data-js="modal">신규가입</button>
      </form>
    </div>
    <button type="button" class="modal__close" data-js="modalClose"><span class="sr-only">모달 닫기</span></button>
  </div>
</div>
<!-- //modal content -->

{% endblock %}
